summaryrefslogtreecommitdiffstats
path: root/source/l/raptor2
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/raptor2')
-rwxr-xr-xsource/l/raptor2/raptor2.SlackBuild21
-rw-r--r--source/l/raptor2/slack-desc10
2 files changed, 21 insertions, 10 deletions
diff --git a/source/l/raptor2/raptor2.SlackBuild b/source/l/raptor2/raptor2.SlackBuild
index a4492c0fe..b86d980a6 100755
--- a/source/l/raptor2/raptor2.SlackBuild
+++ b/source/l/raptor2/raptor2.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2007, 2012, 2013 Heinz Wiesinger, Amsterdam, NL
-# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,10 +25,11 @@
# Modified by Eric Hameleers <alien@slackware.com>
# No added terms or copyright claims
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=raptor2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-5}
NUMJOBS=${NUMJOBS:--j7}
@@ -44,6 +45,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -66,7 +75,6 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -93,11 +101,14 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--disable-static \
--with-icu-config=/usr/bin/icu-config \
- --build=$TARGET
+ --build=$TARGET || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/raptor2/slack-desc b/source/l/raptor2/slack-desc
index 309b74a13..8842687d0 100644
--- a/source/l/raptor2/slack-desc
+++ b/source/l/raptor2/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -11,9 +11,9 @@ raptor2:
raptor2: Raptor is a free software/Open Source C library that provides a set of
raptor2: parsers and serializers that generate Resource Description Framework
raptor2: (RDF) triples by parsing syntaxes or serialize the triples into a
-raptor2: syntax. The supported parsing syntaxes are RDF/XML, N-Triples, TRiG,
+raptor2: syntax. The supported parsing syntaxes are RDF/XML, N-Triples, TRiG,
raptor2: Turtle, RSS tag soup including all versions of RSS, Atom 1.0 and 0.3,
raptor2: GRDDL and microformats for HTML, XHTML and XML.
raptor2:
-raptor2: Homepage: http://librdf.org/
+raptor2: Homepage: http://librdf.org/
raptor2: